网站

备注
专家级
请在请求的 Authorization 标头中以 Bearer Token 形式发送 API 密钥。 获取您的 API 密钥.
列表

API端点:

GET
https://six.demokk.com/api/v1/websites

请求示例:

curl --location --request GET 'https://six.demokk.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
参数
类型
描述
search
可选 string
搜索查询.
search_by
可选 string
搜索依据. 可能的取值为:域名domain。 默认:domain
favorite
可选 boolean
按收藏筛选。
sort_by
可选 string
排序方式. 可能的取值为:创建日期id, 域名domain。 默认:id
sort
可选 string
排序. 可能的取值为:降序desc, 升序asc。 默认:desc
per_page
可选 integer
每页结果. 可能的取值为:10, 25, 50, 100。 默认:10
显示

API端点:

GET
https://six.demokk.com/api/v1/websites/{id}

请求示例:

curl --location --request GET 'https://six.demokk.com/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
商店

API端点:

POST
https://six.demokk.com/api/v1/websites

请求示例:

curl --location --request POST 'https://six.demokk.com/api/v1/websites' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'domain={domain}'
参数
类型
描述
domain
必填 string
域名
privacy
可选 integer
隐私. 可能的取值为:公开0, 私有1, 密码2。 默认:0
password
可选 string
密码. 仅适用于 privacy 字段设置为 2
email
可选 integer
定期邮件报告 可能的取值为:已禁用0, 启用1。 默认:0
exclude_bots
可选 integer
排除常见机器人的跟踪。 可能的取值为:已禁用0, 启用1。 默认:1
exclude_params
可选 string
Exclude URL query parameters from being tracked. 每行一个。
exclude_ips
可选 string
以下 IP 将不参与统计。 每行一个。.
更新

API端点:

PUT PATCH
https://six.demokk.com/api/v1/websites/{id}

请求示例:

curl --location --request PUT 'https://six.demokk.com/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
参数
类型
描述
privacy
可选 integer
隐私. 可能的取值为:公开0, 私有1, 密码2
password
可选 string
密码. 仅适用于 privacy 字段设置为 2
email
可选 integer
定期邮件报告 可能的取值为:已禁用0, 启用1
exclude_bots
可选 integer
排除常见机器人的跟踪。 可能的取值为:已禁用0, 启用1
exclude_params
可选 string
Exclude URL query parameters from being tracked. 每行一个。
exclude_ips
可选 string
以下 IP 将不参与统计。 每行一个。.
favorite
可选 boolean
收藏.
删除

API端点:

DELETE
https://six.demokk.com/api/v1/websites/{id}

请求示例:

curl --location --request DELETE 'https://six.demokk.com/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'